## mysql-connector-c++ 1.1.0

=== debian/changelog ===
mysql-connector-c++ (1.1.0-4) unstable; urgency=low

  * debian/patches/libmysqlclient_SONAME.diff: dynamically determine
    libmysqlclient_r.so.XX to make it more bin-NMU-friendly
  * build with make VERBOSE=1 

 -- Rene Engelhard <rene@debian.org>  Tue, 22 May 2012 00:12:12 +0200

mysql-connector-c++ (1.1.0-3) unstable; urgency=low

  * depend on libboost-dev (closes: #623556) 
  * add build-arch/build-indep targets (just depending on build),
    thanks lintian 

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Aug 2011 19:26:57 +0000

mysql-connector-c++ (1.1.0-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Fri, 04 Feb 2011 00:25:57 +0100

mysql-connector-c++ (1.1.0-1) experimental; urgency=low

  * Update to 1.1.0 final release
  * migrate from dpatch to "3.0 (quilt)" format 

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Oct 2010 22:23:42 +0200

mysql-connector-c++ (1.1.0~r814-1) unstable; urgency=low

  * new bzr snapshot
  * remove -stlport* packages, not needed anymore and never used anyway 
  * add ${misc:Depends} 

 -- Rene Engelhard <rene@debian.org>  Tue, 09 Mar 2010 22:45:04 +0100

mysql-connector-c++ (1.1.0~r791-1) unstable; urgency=low

  * new bzr snapshot 
  * add patch to add __attribute__((visibility("default"))) to the
    exceptions (closes: #559219)
  * debian/rules: bump .shlibs 

 -- Rene Engelhard <rene@debian.org>  Wed, 02 Dec 2009 22:08:19 +0100

mysql-connector-c++ (1.1.0~r786-2) unstable; urgency=low

  * update 06_stlport_flavour.dpatch

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Sep 2009 20:13:34 +0200

mysql-connector-c++ (1.1.0~r786-1) unstable; urgency=low

  * New upstream snapshot 
  * fix -stlport-dev to depends on the -stlport shared lib package 
  * add debian/watch
  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Sep 2009 19:07:54 +0200

mysql-connector-c++ (1.0.6~r768-2) experimental; urgency=low

  * build flavour with STLport on i386; we need it for OOo on i386....

 -- Rene Engelhard <rene@debian.org>  Sat, 05 Sep 2009 13:01:55 +0200

mysql-connector-c++ (1.0.6~r768-1) experimental; urgency=low

  * New upstream snapshot

 -- Rene Engelhard <rene@debian.org>  Fri, 28 Aug 2009 16:17:12 +0200

mysql-connector-c++ (1.0.6~r754-1) experimental; urgency=low

  * New upstream snapshot
  * use libmysqlclient-dev
  * enable shared lib (now libmysqcppconn2)
  * disable build of test/. gets us a bogus libicu dep when icu is there on the
    build system and we don't/can't run the tests anyway

 -- Rene Engelhard <rene@debian.org>  Thu, 20 Aug 2009 22:38:27 +0200

mysql-connector-c++ (1.0.5-1) experimental; urgency=low

  * New upstream release
  * clean up dmake usage 

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Jun 2009 22:07:51 +0200

mysql-connector-cpp (1.0.2~20081215-1) experimental; urgency=low

  * Initial release (closes: #508985)

 -- Rene Engelhard <rene@debian.org>  Mon, 05 Jan 2009 12:29:23 +0100
