=== debian/changelog ===
mysql-connector-c++ (1.1.3-7) unstable; urgency=medium

  * libstdc++6 transition: s/libmysqlcppconn7/libmysqlcppconn7v5/

 -- Rene Engelhard <rene@debian.org>  Wed, 12 Aug 2015 15:39:10 +0200

mysql-connector-c++ (1.1.3-6) unstable; urgency=low

  * add libssl-dev to Build-Depends: as it's apparently needed now
    (at least on arm64/ppc64el) 

 -- Rene Engelhard <rene@debian.org>  Sun, 31 Aug 2014 12:25:48 -0700

mysql-connector-c++ (1.1.3-5) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Aug 2013 10:21:46 +0200

mysql-connector-c++ (1.1.3-4) experimental; urgency=low

  * built with default boost again 

 -- Rene Engelhard <rene@debian.org>  Wed, 21 Aug 2013 18:24:41 +0200

mysql-connector-c++ (1.1.3-3) unstable; urgency=low

  * use libboost1.53-dev to help LO build on sid with sids new gcc-4.7

 -- Rene Engelhard <rene@debian.org>  Thu, 09 May 2013 22:09:03 +0200

mysql-connector-c++ (1.1.3-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Apr 2013 18:51:06 +0200

mysql-connector-c++ (1.1.3-1) experimental; urgency=low

  * New upstream release
  * remove obsolete libmysqlcppconn-stlport* files 
  * remove Homepage:, http://forge.mysql.com/wiki/Connector_C++ is gone

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Apr 2013 18:49:47 +0200

mysql-connector-c++ (1.1.2-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 19 Mar 2013 18:27:53 +0100

mysql-connector-c++ (1.1.1-2) experimental; urgency=low

  * remove obsolete libmysqlcppconn6.links.. 

 -- Rene Engelhard <rene@debian.org>  Thu, 30 Aug 2012 23:18:08 +0200

mysql-connector-c++ (1.1.1-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 25 Aug 2012 00:38:37 +0200
