=== debian/control ===
Source: mysql-connector-c++
Priority: optional
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper (>= 7), cmake, libmysqlclient-dev, libboost-dev, libssl-dev
Standards-Version: 3.7.3
Section: libs

Package: libmysqlcppconn-dev
Section: libdevel
Architecture: any
Depends: libboost-dev, libmysqlcppconn7v5 (= ${binary:Version}), ${misc:Depends}
Description: MySQL Connector for C++ (development files)
 MySQL Connector/C++ is a MySQL database connector for C++.
 .
 It mimics the JDBC 4.0 API. 
 .
 This package contains the development files (headers, static library).

Package: libmysqlcppconn7v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmysqlcppconn7
Description: MySQL Connector for C++ (library)
 MySQL Connector/C++ is a MySQL database connector for C++.
 .
 It mimics the JDBC 4.0 API. 
 .
 This package contains the shared library
